> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corebanq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update account



## OpenAPI

````yaml put /v1/accounts/{id}
openapi: 3.0.0
info:
  title: Corebanq - Accounts API
  description: API endpoints for managing bank accounts
  version: 1.0.0
servers: []
security: []
paths:
  /v1/accounts/{id}:
    put:
      summary: Update account
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateAccountInput'
      responses:
        '200':
          description: Account updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountResponse'
components:
  schemas:
    UpdateAccountInput:
      type: object
      required:
        - customer_id
      properties:
        customer_id:
          type: string
          format: uuid
        currency:
          type: string
          minLength: 3
          maxLength: 3
        description:
          type: string
        metadata:
          type: object
        active:
          type: boolean
    AccountResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
        active:
          type: boolean
        customer_id:
          type: string
          format: uuid
        currency:
          type: string
        balance:
          type: number
        iban:
          type: string
        country_code:
          type: string
        country:
          type: string
        country_id:
          type: string
          format: uuid
        check_digits:
          type: string
        bban:
          type: string
        bank:
          type: string
        bic:
          type: string
        description:
          type: string
        metadata:
          type: object

````